## debian-archive-keyring 2010.08.28~lenny1

=== Makefile ===
build: verify-indices keyrings/debian-archive-keyring.gpg keyrings/debian-archive-removed-keys.gpg verify-results

verify-indices: keyrings/team-members.gpg
	gpg --no-default-keyring --keyring keyrings/team-members.gpg \
		--verify active-keys/index.gpg active-keys/index
	gpg --no-default-keyring --keyring keyrings/team-members.gpg \
		--verify removed-keys/index.gpg removed-keys/index

verify-results: keyrings/team-members.gpg keyrings/debian-archive-keyring.gpg keyrings/debian-archive-removed-keys.gpg
	gpg --no-default-keyring --keyring keyrings/team-members.gpg --verify \
		 keyrings/debian-archive-keyring.gpg.asc \
		 keyrings/debian-archive-keyring.gpg
	gpg --no-default-keyring --keyring keyrings/team-members.gpg --verify \
		 keyrings/debian-archive-removed-keys.gpg.asc \
		 keyrings/debian-archive-removed-keys.gpg

keyrings/debian-archive-keyring.gpg: active-keys/index
	jetring-build -I $@ active-keys

keyrings/debian-archive-removed-keys.gpg: removed-keys/index
	jetring-build -I $@ removed-keys

keyrings/team-members.gpg: team-members/index
	jetring-build -I $@ team-members

clean:
	rm -f keyrings/debian-archive-keyring.gpg \
		keyrings/debian-archive-keyring.gpg.lastchangeset
	rm -f keyrings/debian-archive-removed-keys.gpg \
		keyrings/debian-archive-removed-keys.gpg.lastchangeset
	rm -f keyrings/team-members.gpg \
		keyrings/team-members.gpg.lastchangeset

.PHONY: verify-indices clean

## debian-archive-keyring 2006.01.10

=== debian/changelog ===
debian-archive-keyring (2006.01.10) unstable; urgency=low

  * initial release
  
 -- Michael Vogt <mvo@debian.org>  Tue, 10 Jan 2006 09:17:43 +0100

=== debian/control ===
Source: debian-archive-keyring
Section: misc
Priority: optional
Maintainer: Michael Vogt <mvo@debian.org>
Standards-Version: 3.6.1.0

Package: debian-archive-keyring
Architecture: all
Depends: gnupg (>= 1.0.6-4)
Description: GnuPG archive keys of the Debian archive
 The Debian project digitally signs its Release files. This package
 contains the archive keys used for that.

Package: debian-archive-keyring-udeb
Architecture: all
Section: debian-installer
Recommends: gpgv-udeb
Description: GnuPG keys of the Debian archive
 The Debian project digitally signs its Release files. This package
 contains the archive keys used for that, in a minimal form for use
 in the installer.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file - for debian/keyring
# Based on sample debian/rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# Copyright 1998-2003 James Troup
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified

install_dir=install -d -m 755
install_file=install -m 644
install_script=install -m 755
install_binary=install -m 755 -s

VERSION := $(shell dpkg-parsechangelog | grep ^Version: | cut -d' ' -f2)

build:

clean:
	$(checkdir)
	-rm -f foo foo.asc *.bak *~ */*~ debian/files* debian/*substvars
	-rm -rf debian/tmp debian/debian-archive-keyring-udeb

binary-indep: checkroot
	$(checkdir)
	-rm -rf debian/tmp
	$(install_dir) debian/tmp/DEBIAN/
	$(install_script) debian/postinst debian/tmp/DEBIAN/

	$(install_dir) debian/tmp/usr/share/keyrings/
	$(install_file) keyrings/debian-archive-keyring.gpg debian/tmp/usr/share/keyrings/

	$(install_dir) debian/tmp/usr/share/doc/debian-archive-keyring/
	$(install_file) README debian/tmp/usr/share/doc/debian-archive-keyring/
	$(install_file) debian/changelog debian/tmp/usr/share/doc/debian-archive-keyring/changelog
	gzip -9v debian/tmp/usr/share/doc/debian-archive-keyring/*
	$(install_file) debian/copyright debian/tmp/usr/share/doc/debian-archive-keyring/

	dpkg-gencontrol -pdebian-archive-keyring -isp
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

	-rm -rf debian/debian-archive-keyring-udeb
	$(install_dir) debian/debian-archive-keyring-udeb/DEBIAN/

	$(install_dir) debian/debian-archive-keyring-udeb/usr/share/keyrings/
	$(install_file) keyrings/debian-archive-keyring.gpg debian/debian-archive-keyring-udeb/usr/share/keyrings/

	# Don't let dpkg-gencontrol write incorrect guesses to debian/files.
	# Instead, register the udeb manually.
	dpkg-gencontrol -pdebian-archive-keyring-udeb -Tdebian/debian-archive-keyring-udeb.substvars -Pdebian/debian-archive-keyring-udeb -isp -fdebian/files~
	dpkg-distaddfile debian-archive-keyring-udeb_$(VERSION)_all.udeb debian-installer optional
	chown -R root.root debian/debian-archive-keyring-udeb
	chmod -R go=rX debian/debian-archive-keyring-udeb
	dpkg --build debian/debian-archive-keyring-udeb ../debian-archive-keyring-udeb_$(VERSION)_all.udeb

binary-arch:

define checkdir
	test -f keyrings/debian-archive-keyring.gpg
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## debian-archive-keyring 2006.01.18

=== debian/changelog ===
debian-archive-keyring (2006.01.18) unstable; urgency=low

  * changed priority to standard (closes: #348426)
  * added empty debian-archive-removed-keys.gpg

 -- Michael Vogt <mvo@debian.org>  Wed, 18 Jan 2006 23:10:58 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: debian-archive-keyring
 Section: misc
-Priority: optional
+Priority: standard
 Maintainer: Michael Vogt <mvo@debian.org>
 Standards-Version: 3.6.1.0

## debian-archive-keyring 2006.11.22~bpo.2

=== debian/changelog ===
debian-archive-keyring (2006.11.22~bpo.2) sarge-backports; urgency=low

  * Added backports.org archive key 0x16BA136C.
  * Added etch stable release key 0xADB11277.

 -- Norbert Tretkowski <nobse@backports.org>  Sun, 18 Feb 2007 16:25:20 +0100

debian-archive-keyring (2006.11.22) unstable; urgency=low

  * Non-maintainer upload.
  * Add Etch release key
  * Bump priority to important (Closes: Bug#397698)
  * Update FSF address in copyright.

 -- Anthony Towns <aj@azure.humbug.org.au>  Wed, 22 Nov 2006 01:30:50 +1000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: debian-archive-keyring
 Section: misc
-Priority: standard
 Maintainer: Michael Vogt <mvo@debian.org>
+Uploaders: Norbert Tretkowski <nobse@backports.org>
 Standards-Version: 3.6.1.0
 
 Package: debian-archive-keyring
+Priority: important
 Architecture: all
 Depends: gnupg (>= 1.0.6-4)
 Description: GnuPG archive keys of the Debian archive
@@ -12,6 +13,7 @@
  contains the archive keys used for that.
 
 Package: debian-archive-keyring-udeb
+Priority: standard
 Architecture: all
 Section: debian-installer
 Recommends: gpgv-udeb

=== debian/rules ===
--- 
+++ 
@@ -31,6 +31,7 @@
 
 	$(install_dir) debian/tmp/usr/share/keyrings/
 	$(install_file) keyrings/debian-archive-keyring.gpg debian/tmp/usr/share/keyrings/
+	$(install_file) keyrings/debian-archive-removed-keys.gpg debian/tmp/usr/share/keyrings/
 
 	$(install_dir) debian/tmp/usr/share/doc/debian-archive-keyring/
 	$(install_file) README debian/tmp/usr/share/doc/debian-archive-keyring/
@@ -48,11 +49,12 @@
 
 	$(install_dir) debian/debian-archive-keyring-udeb/usr/share/keyrings/
 	$(install_file) keyrings/debian-archive-keyring.gpg debian/debian-archive-keyring-udeb/usr/share/keyrings/
+	$(install_file) keyrings/debian-archive-removed-keys.gpg debian/debian-archive-keyring-udeb/usr/share/keyrings/
 
 	# Don't let dpkg-gencontrol write incorrect guesses to debian/files.
 	# Instead, register the udeb manually.
 	dpkg-gencontrol -pdebian-archive-keyring-udeb -Tdebian/debian-archive-keyring-udeb.substvars -Pdebian/debian-archive-keyring-udeb -isp -fdebian/files~
-	dpkg-distaddfile debian-archive-keyring-udeb_$(VERSION)_all.udeb debian-installer optional
+	dpkg-distaddfile debian-archive-keyring-udeb_$(VERSION)_all.udeb debian-installer standard
 	chown -R root.root debian/debian-archive-keyring-udeb
 	chmod -R go=rX debian/debian-archive-keyring-udeb
 	dpkg --build debian/debian-archive-keyring-udeb ../debian-archive-keyring-udeb_$(VERSION)_all.udeb
@@ -61,6 +63,7 @@
 
 define checkdir
 	test -f keyrings/debian-archive-keyring.gpg
+	test -f keyrings/debian-archive-removed-keys.gpg
 endef
 
 # Below here is fairly generic really

## debian-archive-keyring 2006.11.22

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: debian-archive-keyring
 Section: misc
 Maintainer: Michael Vogt <mvo@debian.org>
-Uploaders: Norbert Tretkowski <nobse@backports.org>
 Standards-Version: 3.6.1.0
 
 Package: debian-archive-keyring

## debian-archive-keyring 2007.02.19

=== debian/changelog ===
debian-archive-keyring (2007.02.19) unstable; urgency=low

  * added Etch stable release key (ID: ADB11277) (closes: #410788)
  * moved to debian-archive-removed-keys.gpg:
    - Debian Archive Automatic Signing Key (2004) [1DB114E0]
    - Debian Archive Automatic Signing Key (2005) [4F368D5D]
    - Debian AMD64 Archive Key  [B5F5BBED] (closes: #386956)
  * improved the README (closes: #400942)

 -- Michael Vogt <mvo@debian.org>  Mon, 19 Feb 2007 10:02:06 +0100

## debian-archive-keyring 2007.02.19-0.1

=== debian/changelog ===
debian-archive-keyring (2007.02.19-0.1) unstable; urgency=low

  * NMU for d-i.
  * Add a postinst to the udeb that creates an archive.gpg symlink
    if one doesn't yet exist. Closes: #423428
  * Clean up use of dpkg-gencontrol, removing obsolete workaround.
  * Remove removed-keys keyring from udeb to save space. Closes: #423422
  * Set udeb priority to optional to match overrides.

 -- Joey Hess <joeyh@debian.org>  Wed, 30 May 2007 14:38:39 -0400

## debian-archive-keyring 2007.07.31

=== debian/changelog ===
debian-archive-keyring (2007.07.31) unstable; urgency=low

  * added 'volatile' signing key (ID: BBE55AB3)

 -- Michael Vogt <mvo@debian.org>  Tue, 31 Jul 2007 18:35:13 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  contains the archive keys used for that.
 
 Package: debian-archive-keyring-udeb
-Priority: standard
+Priority: optional
 Architecture: all
 Section: debian-installer
 Recommends: gpgv-udeb

## debian-archive-keyring 2008.04.16+nmu1

=== debian/changelog ===
debian-archive-keyring (2008.04.16+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Move gnupg again to Depends. (closes: #476689)

 -- Bastian Blank <waldi@debian.org>  Fri, 25 Apr 2008 17:52:00 +0000

debian-archive-keyring (2008.04.16) unstable; urgency=low

  * New maintainer: Debian Release Team.
  * Add Lenny Stable Release key (ID: F42584E6).
  * Move to debian-archive-removed-keys.gpg:
    - Debian Archive Automatic Signing Key (2006) (ID: 2D230C5F).
  * Move gnupg to Recommends (Closes: #387688).

 -- Luk Claes <luk@debian.org>  Wed, 16 Apr 2008 20:42:26 +0000

## debian-archive-keyring 2009.01.31

=== debian/changelog ===
debian-archive-keyring (2009.01.31) unstable; urgency=low

  * Add Debian Archive Automatic Signing Key (5.0/lenny) 
    (ID: 55BE302B).
  * Add Debian-Volatile Archive Automatic Signing Key (5.0/lenny) 
    (ID: 6D849617).

 -- Luk Claes <luk@debian.org>  Sat, 31 Jan 2009 22:25:18 +0000

=== debian/rules ===
--- 
+++ 
@@ -49,12 +49,9 @@
 
 	$(install_dir) debian/debian-archive-keyring-udeb/usr/share/keyrings/
 	$(install_file) keyrings/debian-archive-keyring.gpg debian/debian-archive-keyring-udeb/usr/share/keyrings/
-	$(install_file) keyrings/debian-archive-removed-keys.gpg debian/debian-archive-keyring-udeb/usr/share/keyrings/
+	install -m 755 debian/debian-archive-keyring-udeb.postinst debian/debian-archive-keyring-udeb/DEBIAN/postinst
 
-	# Don't let dpkg-gencontrol write incorrect guesses to debian/files.
-	# Instead, register the udeb manually.
-	dpkg-gencontrol -pdebian-archive-keyring-udeb -Tdebian/debian-archive-keyring-udeb.substvars -Pdebian/debian-archive-keyring-udeb -isp -fdebian/files~
-	dpkg-distaddfile debian-archive-keyring-udeb_$(VERSION)_all.udeb debian-installer standard
+	dpkg-gencontrol -ndebian-archive-keyring-udeb_$(VERSION)_all.udeb -pdebian-archive-keyring-udeb -Tdebian/debian-archive-keyring-udeb.substvars -Pdebian/debian-archive-keyring-udeb -isp
 	chown -R root.root debian/debian-archive-keyring-udeb
 	chmod -R go=rX debian/debian-archive-keyring-udeb
 	dpkg --build debian/debian-archive-keyring-udeb ../debian-archive-keyring-udeb_$(VERSION)_all.udeb

## debian-archive-keyring 2009.01.31ubuntu1

=== debian/changelog ===
debian-archive-keyring (2009.01.31ubuntu1) lucid; urgency=low

  * Compute md5sums.

 -- Loïc Minier <loic.minier@ubuntu.com>  Mon, 11 Jan 2010 23:18:03 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: debian-archive-keyring
 Section: misc
-Maintainer: Michael Vogt <mvo@debian.org>
-Standards-Version: 3.6.1.0
+Maintainer: Debian Release Team <packages@release.debian.org>
+Uploaders: Luk Claes <luk@debian.org>
+Standards-Version: 3.7.3
 
 Package: debian-archive-keyring
 Priority: important
 Architecture: all
-Depends: gnupg (>= 1.0.6-4)
+Depends: gnupg
 Description: GnuPG archive keys of the Debian archive
  The Debian project digitally signs its Release files. This package
  contains the archive keys used for that.

=== debian/rules ===
--- 
+++ 
@@ -38,6 +38,7 @@
 	$(install_file) debian/changelog debian/tmp/usr/share/doc/debian-archive-keyring/changelog
 	gzip -9v debian/tmp/usr/share/doc/debian-archive-keyring/*
 	$(install_file) debian/copyright debian/tmp/usr/share/doc/debian-archive-keyring/
+	cd debian/tmp; find -type f \! -regex '.*/DEBIAN/.*' -printf '%P\0' | xargs -r0 md5sum >DEBIAN/md5sums
 
 	dpkg-gencontrol -pdebian-archive-keyring -isp
 	chown -R root.root debian/tmp

## debian-archive-keyring 2010.08.28~lenny1

=== debian/changelog ===
debian-archive-keyring (2010.08.28~lenny1) stable; urgency=low

  * Team upload.
  * Upload to stable.
  * Use SHA1 checksums instead of SHA256, due to jetring missing support
    for the stronger ones.

 -- Philipp Kern <pkern@debian.org>  Sun, 29 Aug 2010 13:33:10 +0200

debian-archive-keyring (2010.08.28) unstable; urgency=low

  * Team upload.
  * Add Debian Archive Automatic Signing Key (6.0/squeeze) (ID: 473041FA).
  * Convert keyring generation to jetring.

 -- Philipp Kern <pkern@debian.org>  Sat, 28 Aug 2010 23:17:21 +0200

debian-archive-keyring (2010.08.15) unstable; urgency=low

  * Team upload.
  * Add Squeeze Stable Release Key (ID: B98321F9).  (Closes: #540890)
  * Add a DEBIAN/md5sums file to the non-udeb package.  (Closes: #534934)
  * Move to debian-archive-removed-keys.gpg:
    - Debian Archive Automatic Signing Key (4.0/etch)
    - Etch Stable Release Key
    - Debian-Volatile Archive Automatic Signing Key (4.0/etch)

 -- Philipp Kern <pkern@debian.org>  Sun, 15 Aug 2010 22:59:38 +0200

## debian-archive-keyring 2010.08.28~lucid

=== debian/changelog ===
debian-archive-keyring (2010.08.28~lucid) lucid-proposed; urgency=low

  * Backport natty package containing newly-released squeeze and sid keys.
    (LP: #722521)
  * Makefile: Create homedir before running GPG commands to workaround
    FTBFS due to GPG bug in Lucid.

 -- Bilal Akhtar <bilalakhtar@ubuntu.com>  Mon, 21 Feb 2011 14:49:34 +0300

## debian-archive-keyring 2010.08.28~maverick

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,7 @@
 build: verify-indices keyrings/debian-archive-keyring.gpg keyrings/debian-archive-removed-keys.gpg verify-results
 
 verify-indices: keyrings/team-members.gpg
+	mkdir ~/.gnupg/
 	gpg --no-default-keyring --keyring keyrings/team-members.gpg \
 		--verify active-keys/index.gpg active-keys/index
 	gpg --no-default-keyring --keyring keyrings/team-members.gpg \

=== debian/changelog ===
debian-archive-keyring (2010.08.28~maverick) maverick-proposed; urgency=low

  * Backport natty package containing newly-released squeeze and sid keys.
    (LP: #722521)
  * Makefile: Create homedir before running GPG commands to workaround
    FTBFS due to GPG bug in Maverick.

 -- Bilal Akhtar <bilalakhtar@ubuntu.com>  Mon, 21 Feb 2011 13:23:23 +0300

=== debian/rules ===
--- 
+++ 
@@ -17,14 +17,15 @@
 VERSION := $(shell dpkg-parsechangelog | grep ^Version: | cut -d' ' -f2)
 
 build:
+	make
 
-clean:
-	$(checkdir)
-	-rm -f foo foo.asc *.bak *~ */*~ debian/files* debian/*substvars
+clean: checkroot
+	make clean
+	-rm -f *.bak *~ */*~ debian/files* debian/*substvars
 	-rm -rf debian/tmp debian/debian-archive-keyring-udeb
+	dh_clean
 
 binary-indep: checkroot
-	$(checkdir)
 	-rm -rf debian/tmp
 	$(install_dir) debian/tmp/DEBIAN/
 	$(install_script) debian/postinst debian/tmp/DEBIAN/
@@ -38,11 +39,11 @@
 	$(install_file) debian/changelog debian/tmp/usr/share/doc/debian-archive-keyring/changelog
 	gzip -9v debian/tmp/usr/share/doc/debian-archive-keyring/*
 	$(install_file) debian/copyright debian/tmp/usr/share/doc/debian-archive-keyring/
-	cd debian/tmp; find -type f \! -regex '.*/DEBIAN/.*' -printf '%P\0' | xargs -r0 md5sum >DEBIAN/md5sums
 
 	dpkg-gencontrol -pdebian-archive-keyring -isp
 	chown -R root.root debian/tmp
 	chmod -R go=rX debian/tmp
+	dh_md5sums -pdebian-archive-keyring -Pdebian/tmp
 	dpkg --build debian/tmp ..
 
 	-rm -rf debian/debian-archive-keyring-udeb
@@ -59,17 +60,12 @@
 
 binary-arch:
 
-define checkdir
-	test -f keyrings/debian-archive-keyring.gpg
-	test -f keyrings/debian-archive-removed-keys.gpg
-endef
-
 # Below here is fairly generic really
 
 binary:		binary-indep binary-arch
 
 checkroot:
-	$(checkdir)
-	test root = "`whoami`"
+	dh_testdir
+	dh_testroot
 
 .PHONY: binary binary-arch binary-indep clean checkroot

## debian-archive-keyring 2010.08.28

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: debian-archive-keyring
 Section: misc
 Maintainer: Debian Release Team <packages@release.debian.org>
-Uploaders: Luk Claes <luk@debian.org>
+Build-Depends: debhelper (>= 5), jetring, gnupg
 Standards-Version: 3.7.3
 
 Package: debian-archive-keyring

## debian-archive-keyring 2010.08.28+squeeze1

=== debian/changelog ===
debian-archive-keyring (2010.08.28+squeeze1) squeeze; urgency=low

  * Team upload.
  * Add Debian Archive Automatic Signing Key (7.0/wheezy) (ID: 46925553).
    (Closes: #671105)
  * Add Wheezy Stable Release Key (ID: 65FFB764). (Closes: #665380)

 -- Philipp Kern <pkern@debian.org>  Sat, 21 Jul 2012 14:51:06 +0200

## debian-archive-keyring 2011.10.21

=== debian/changelog ===
debian-archive-keyring (2011.10.21) experimental; urgency=low

  * Team upload.
  * Put debian-archive-keyring.gpg into trusted.gpg.d.
  * Remove old keys from trusted.gpg upon upgrade.
  * Convert to dh7.

 -- Philipp Kern <pkern@debian.org>  Fri, 21 Oct 2011 12:36:10 +0200

## debian-archive-keyring 2011.10.23

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,6 @@
 build: verify-indices keyrings/debian-archive-keyring.gpg keyrings/debian-archive-removed-keys.gpg verify-results
 
 verify-indices: keyrings/team-members.gpg
-	mkdir ~/.gnupg/
 	gpg --no-default-keyring --keyring keyrings/team-members.gpg \
 		--verify active-keys/index.gpg active-keys/index
 	gpg --no-default-keyring --keyring keyrings/team-members.gpg \
@@ -32,5 +31,10 @@
 	rm -f keyrings/team-members.gpg \
 		keyrings/team-members.gpg.lastchangeset
 
+install: build
+	install -d $(DESTDIR)/usr/share/keyrings/
+	cp keyrings/debian-archive-keyring.gpg $(DESTDIR)/usr/share/keyrings/
+	cp keyrings/debian-archive-removed-keys.gpg $(DESTDIR)/usr/share/keyrings/
+
 .PHONY: verify-indices clean

=== debian/changelog ===
debian-archive-keyring (2011.10.23) experimental; urgency=low

  * Team upload.
  * Work only on /etc/apt/trusted.gpg when removing keys.
  * Forcely create the trusted.gpg.d symlink.

 -- Philipp Kern <pkern@debian.org>  Sun, 23 Oct 2011 13:57:23 +0200

=== debian/control ===
Source: debian-archive-keyring
Section: misc
Maintainer: Debian Release Team <packages@release.debian.org>
Build-Depends: debhelper (>= 7), jetring, gnupg
Standards-Version: 3.9.2

Package: debian-archive-keyring
Priority: important
Architecture: all
Depends: gnupg, ${misc:Depends}
Description: GnuPG archive keys of the Debian archive
 The Debian project digitally signs its Release files. This package
 contains the archive keys used for that.

Package: debian-archive-keyring-udeb
XC-Package-Type: udeb
Priority: optional
Architecture: all
Section: debian-installer
Depends: ${misc:Depends}
Recommends: gpgv-udeb
Description: GnuPG keys of the Debian archive
 The Debian project digitally signs its Release files. This package
 contains the archive keys used for that, in a minimal form for use
 in the installer.

## debian-archive-keyring 2012.4

=== Makefile ===
TRUSTED-LIST := $(patsubst active-keys/add-%,trusted.gpg/debian-archive-%.gpg,$(wildcard active-keys/add-*))
TMPRING := trusted.gpg/build-area

GPG_OPTIONS := --no-options --no-default-keyring --no-auto-check-trustdb --trustdb-name ./trustdb.gpg

build: verify-indices keyrings/debian-archive-keyring.gpg keyrings/debian-archive-removed-keys.gpg verify-results $(TRUSTED-LIST)

verify-indices: keyrings/team-members.gpg
	gpg ${GPG_OPTIONS} \
		--keyring keyrings/team-members.gpg \
		--verify active-keys/index.gpg active-keys/index
	gpg ${GPG_OPTIONS} \
		--keyring keyrings/team-members.gpg \
		--verify removed-keys/index.gpg removed-keys/index

verify-results: keyrings/team-members.gpg keyrings/debian-archive-keyring.gpg keyrings/debian-archive-removed-keys.gpg
	gpg ${GPG_OPTIONS} \
		--keyring keyrings/team-members.gpg --verify \
		keyrings/debian-archive-keyring.gpg.asc \
		keyrings/debian-archive-keyring.gpg
	gpg ${GPG_OPTIONS} \
		--keyring keyrings/team-members.gpg --verify \
		keyrings/debian-archive-removed-keys.gpg.asc \
		keyrings/debian-archive-removed-keys.gpg
	#FIXME: Do we need to verify the created keyrings in trusted.gpg.d, too?
	#	Maybe "just" checking that no key is added if we merge, but how…

keyrings/debian-archive-keyring.gpg: active-keys/index
	jetring-build -I $@ active-keys

keyrings/debian-archive-removed-keys.gpg: removed-keys/index
	jetring-build -I $@ removed-keys

keyrings/team-members.gpg: team-members/index
	jetring-build -I $@ team-members

$(TRUSTED-LIST) :: trusted.gpg/debian-archive-%.gpg : active-keys/add-% active-keys/index
	mkdir -p $(TMPRING) trusted.gpg
	grep -F $(shell basename $<) -- active-keys/index > $(TMPRING)/index
	cp $< $(TMPRING)
	jetring-build -I $@ $(TMPRING)
	rm -rf $(TMPRING)

clean:
	rm -f keyrings/debian-archive-keyring.gpg \
		keyrings/debian-archive-keyring.gpg.lastchangeset
	rm -f keyrings/debian-archive-removed-keys.gpg \
		keyrings/debian-archive-removed-keys.gpg.lastchangeset
	rm -f keyrings/team-members.gpg \
		keyrings/team-members.gpg.lastchangeset
	rm -rf $(TMPRING) trusted.gpg trustdb.gpg

install: build
	install -d $(DESTDIR)/usr/share/keyrings/
	cp keyrings/debian-archive-keyring.gpg $(DESTDIR)/usr/share/keyrings/
	cp keyrings/debian-archive-removed-keys.gpg $(DESTDIR)/usr/share/keyrings/
	install -d $(DESTDIR)/etc/apt/trusted.gpg.d/
	cp $(shell find trusted.gpg/ -name '*.gpg' -type f) $(DESTDIR)/etc/apt/trusted.gpg.d/

.PHONY: verify-indices verify-results clean build install

=== debian/changelog ===
debian-archive-keyring (2012.4) unstable; urgency=low

  * Team upload.
  * Mark as multiarch foreign.

 -- Philipp Kern <pkern@debian.org>  Sat, 02 Jun 2012 17:57:18 +0200

debian-archive-keyring (2012.3) unstable; urgency=low

  * Team upload.
  * Remove the two new keys from trusted.gpg in the postinst and change
    the version check so that we can safely backport them to squeeze
    in a non-split way.

 -- Philipp Kern <pkern@debian.org>  Mon, 14 May 2012 20:40:19 +0200

debian-archive-keyring (2012.2) unstable; urgency=low

  * Team upload.
  * Add Debian Archive Automatic Signing Key (7.0/wheezy) (ID: 46925553).
    (Closes: #671105)
  * Add Wheezy Stable Release Key (ID: 65FFB764). (Closes: #665380)
  * Drop the apt dependency to fix the resulting circular dependency.
    (Closes: #672598)

 -- Philipp Kern <pkern@debian.org>  Sun, 13 May 2012 17:07:09 +0200

debian-archive-keyring (2012.1) unstable; urgency=low

  * Team upload.

  [ Philipp Kern ]
  * Do not require a gnupg homedir. (Closes: #665057)
  * Set `Priority: important' in the source stanza of debian/control.
    (Closes: #611805)
  * Move Lenny keys to removed.

  [ David Kalnischkies ]
  * Ship each active key in a separate keyring in /etc/apt/trusted.gpg.d/
    as conffiles for simpler usage of apt-secure(8).
  * Remove all active keys from /etc/apt/trusted.gpg as they are shipped
    now as fragment files.
  * Depend on gpgv and only recommend gnupg. (Closes: #387688)

 -- Philipp Kern <pkern@debian.org>  Wed, 02 May 2012 12:45:26 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,16 @@
 Source: debian-archive-keyring
+Priority: important
 Section: misc
 Maintainer: Debian Release Team <packages@release.debian.org>
 Build-Depends: debhelper (>= 7), jetring, gnupg
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 
 Package: debian-archive-keyring
-Priority: important
 Architecture: all
-Depends: gnupg, ${misc:Depends}
+Multi-Arch: foreign
+Depends: gpgv, ${misc:Depends}
+Recommends: gnupg
+Breaks: apt (<< 0.7.25.1)
 Description: GnuPG archive keys of the Debian archive
  The Debian project digitally signs its Release files. This package
  contains the archive keys used for that.

## debian-archive-keyring 2012.4%7eubuntu12.04.1

=== debian/changelog ===
debian-archive-keyring (2012.4~ubuntu12.04.1) precise-backports; urgency=low

  * No-change backport to precise (LP: #1243398)

 -- Felix Geyer <debfx@ubuntu.com>  Tue, 22 Oct 2013 22:45:01 +0200

## debian-archive-keyring 2014.1%7edeb7u1

=== debian/changelog ===
debian-archive-keyring (2014.1~deb7u1) proposed-updates; urgency=medium

  * Upload the new archive keyring to wheezy.

 -- Philipp Kern <pkern@debian.org>  Thu, 02 Oct 2014 21:08:26 +0200

debian-archive-keyring (2014.1) unstable; urgency=medium

  * Team upload. (Closes: #757533)

  [ Philipp Kern ]
  * Replaced my 1024D key with my 8192R key. Resigned all relevant files
    with my new key so that they can be validated again.
  * Add Jessie Stable Release key (ID: CBF8D6FD518E17E1).

 -- Philipp Kern <pkern@debian.org>  Sat, 30 Aug 2014 19:55:17 +0200

## debian-archive-keyring 2014.3~deb7u1

=== debian/changelog ===
debian-archive-keyring (2014.3~deb7u1) wheezy; urgency=medium


  * Backport to wheezy.

 -- Adam D. Barratt <adam@adam-barratt.org.uk>  Thu, 01 Jan 2015 14:40:01 +0000

debian-archive-keyring (2014.3) unstable; urgency=medium

  * Team upload.
  * Also import signatures for Jessie archive keys.

 -- Adam D. Barratt <adam@adam-barratt.org.uk>  Sun, 30 Nov 2014 14:45:43 +0000

debian-archive-keyring (2014.2) unstable; urgency=medium

  * Team upload. (Closes: #771008)
  * Add Debian Archive Automatic Signing Key (8/jessie) (ID: 7638D0442B90D010)
  * Add Debian Security Archive Automatic Signing Key (8/jessie)
    (ID: 9D6D8F6BC857C906)
  * Remove temporary keyring files (*.gpg~) in clean target.
  * Add a maintainer README (not currently included in the binary package).

 -- Adam D. Barratt <adam@adam-barratt.org.uk>  Sun, 30 Nov 2014 12:29:30 +0000

## debian-archive-keyring 2014.3

=== Makefile ===
--- 
+++ 
@@ -43,12 +43,16 @@
 
 clean:
 	rm -f keyrings/debian-archive-keyring.gpg \
+		keyrings/debian-archive-keyring.gpg~ \
 		keyrings/debian-archive-keyring.gpg.lastchangeset
 	rm -f keyrings/debian-archive-removed-keys.gpg \
+		keyrings/debian-archive-removed-keys.gpg~ \
 		keyrings/debian-archive-removed-keys.gpg.lastchangeset
 	rm -f keyrings/team-members.gpg \
+		keyrings/team-members.gpg~ \
 		keyrings/team-members.gpg.lastchangeset
 	rm -rf $(TMPRING) trusted.gpg trustdb.gpg
+	rm -f keyrings/*.cache
 
 install: build
 	install -d $(DESTDIR)/usr/share/keyrings/

## debian-archive-keyring 2017.5~deb8u1

=== debian/changelog ===
debian-archive-keyring (2017.5~deb8u1) jessie; urgency=medium

  * Team upload.
  * Update jessie with 2017.5, closes: #860831, 860830, 863303

 -- Jonathan Wiltshire <jmw@debian.org>  Sun, 18 Jun 2017 12:11:58 +0100

debian-archive-keyring (2017.5) unstable; urgency=medium

  * Team upload.
  * Add Debian Stable Release Key (9/stretch) (ID: EF0F382A1A7B6500)
    (Closes: #860831)
  * Add Debian Archive Automatic Signing Key (9/stretch) (ID: E0B11894F66AEC98)
    and Debian Security Archive Automatic Signing Key (9/stretch)
    (ID: EDA0D2388AE22BA9) (Closes: #860830)
  * Move the squeeze keys to the removed keyring (Closes: #863303)
  * Update the maintainer README to document removing keys

 -- Adam D. Barratt <adam@adam-barratt.org.uk>  Thu, 25 May 2017 19:17:13 +0100

## debian-archive-keyring 2017.5~deb8u2

=== debian/changelog ===
debian-archive-keyring (2017.5~deb8u2) jessie-security; urgency=medium

  * Non-maintainer upload by the ELTS Security Team.
  * Add Debian Automatic Signing Key (i0/buster and 11/bullseye)
  * Add Debian Stable Release Key (10/buster and 11/bullseye)
  * Add Debian Security Archive Automatic Signing Key
    (10/buster and 11/bullseye)

 -- Anton Gladky <gladk@debian.org>  Wed, 16 Mar 2022 21:32:21 +0100

## debian-archive-keyring 2017.5%2Bdeb9u1

=== debian/changelog ===
debian-archive-keyring (2017.5+deb9u1) stretch; urgency=medium

  * Team upload.

  [ Philipp Kern ]
  * Remove Wheezy's keys (automatic and stable release).
   (Closes: #901320)

  [ Adam D. Barratt ]
  * Add Vcs-* headers.
  * Ensure fragments for Wheezy keys are removed.

  [ Jonathan Wiltshire ]
  * Add my own key to the team-members keyring
  * Add Debian Stable Release key (10/buster) (ID: DCC9EFBF77E11517)
    (Closes: #917536)
  * Add Debian Archive Automatic Signing Key (10/buster)
    (ID: BCDDDC30D7C23CBBABEE) and Debian Security Archive Automatic
    Signing Key (10/buster) (ID: C5FF4DFAB270CAA96DFA)
    (Closes: #917535)

 -- Adam D. Barratt <adam@adam-barratt.org.uk>  Sun, 07 Jul 2019 12:27:51 +0100

## debian-archive-keyring 2017.5+deb9u2

=== debian/changelog ===
debian-archive-keyring (2017.5+deb9u2) stretch-security; urgency=medium

  * Non-maintainer upload by the LTS Security Team.
  * Add Debian Automatic Signing Key (11/bullseye)
  * Add Debian Stable Release Key (11/bullseye)
  * Add Debian Security Archive Automatic Signing Key (11/bullseye)

 -- Anton Gladky <gladk@debian.org>  Sun, 13 Mar 2022 21:49:24 +0100

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,8 @@
 Maintainer: Debian Release Team <packages@release.debian.org>
 Build-Depends: debhelper (>= 7), jetring, gnupg
 Standards-Version: 3.9.3
+Vcs-Browser: https://salsa.debian.org/release-team/debian-archive-keyring
+Vcs-Git: https://salsa.debian.org/release-team/debian-archive-keyring.git
 
 Package: debian-archive-keyring
 Architecture: all

## debian-archive-keyring 2017.6

=== debian/changelog ===
debian-archive-keyring (2017.6) unstable; urgency=medium

  * Remove dependencies between the .deb package and gnupg / gpgv.  apt has
    had relevant relationships of its own for some time now, so there's no
    need for us to do so.  (Closes: #801381)
  * Add Vcs-{Browser,Git} headers.
  * Remove trust packets from generated keyrings.  They're not required for
    the purpose of archive keyrings and may change between GnuPG versions,
    rendering the resulting keyrings unreproducible.
    (Closes: #872525, #870780)

 -- Adam D. Barratt <adam@adam-barratt.org.uk>  Sun, 03 Sep 2017 17:52:14 +0100

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,13 @@
 Maintainer: Debian Release Team <packages@release.debian.org>
 Build-Depends: debhelper (>= 7), jetring, gnupg
 Standards-Version: 3.9.3
-Vcs-Browser: https://salsa.debian.org/release-team/debian-archive-keyring
-Vcs-Git: https://salsa.debian.org/release-team/debian-archive-keyring.git
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/devscripts.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/devscripts.git
 
 Package: debian-archive-keyring
 Architecture: all
 Multi-Arch: foreign
-Depends: gpgv, ${misc:Depends}
-Recommends: gnupg
+Depends: ${misc:Depends}
 Breaks: apt (<< 0.7.25.1)
 Description: GnuPG archive keys of the Debian archive
  The Debian project digitally signs its Release files. This package

## debian-archive-keyring 2017.7

=== debian/changelog ===
debian-archive-keyring (2017.7) unstable; urgency=medium

  * Team upload.

  [ Adam D. Barratt ]
  * Fix Vcs-* headers.  Thanks to Daniel Baumann for noticing.
    (Closes: #874723)

  [ Niels Thykier ]
  * Remove unnecessary "XC-" prefix for "Package-Type" in the udeb
    package.
  * Remove now obsolete versioned Breaks on apt.
  * Set R³ to no as debian-archive-keyring does not require (fake)root
    to build.
  * Bump debhelper compat level to 10 but pass --no-parallel to
    dh_auto_build as the Makefile is not parallel-safe.
  * Bump Standards-Version to 4.1.2 - no additional change required.

 -- Niels Thykier <niels@thykier.net>  Sat, 16 Dec 2017 20:11:11 +0000

=== debian/control ===
Source: debian-archive-keyring
Priority: important
Section: misc
Maintainer: Debian Release Team <packages@release.debian.org>
Build-Depends: debhelper (>= 10), jetring, gnupg
Rules-Requires-Root: no
Standards-Version: 4.1.2
Vcs-Browser: https://anonscm.debian.org/cgit/debian-release/debian-archive-keyring.git
Vcs-Git: https://anonscm.debian.org/git/debian-release/debian-archive-keyring.git

Package: debian-archive-keyring
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: GnuPG archive keys of the Debian archive
 The Debian project digitally signs its Release files. This package
 contains the archive keys used for that.

Package: debian-archive-keyring-udeb
Package-Type: udeb
Priority: optional
Architecture: all
Section: debian-installer
Depends: ${misc:Depends}
Recommends: gpgv-udeb
Description: GnuPG keys of the Debian archive
 The Debian project digitally signs its Release files. This package
 contains the archive keys used for that, in a minimal form for use
 in the installer.

## debian-archive-keyring 2017.7ubuntu1

=== Makefile ===
--- 
+++ 
@@ -27,12 +27,18 @@
 
 keyrings/debian-archive-keyring.gpg: active-keys/index
 	jetring-build -I $@ active-keys
+	gpg ${GPG_OPTIONS} --no-keyring --import-options import-export --import < $@ > $@.tmp
+	mv -f $@.tmp $@
 
 keyrings/debian-archive-removed-keys.gpg: removed-keys/index
 	jetring-build -I $@ removed-keys
+	gpg ${GPG_OPTIONS} --no-keyring --import-options import-export --import < $@ > $@.tmp
+	mv -f $@.tmp $@
 
 keyrings/team-members.gpg: team-members/index
 	jetring-build -I $@ team-members
+	gpg ${GPG_OPTIONS} --no-keyring --import-options import-export --import < $@ > $@.tmp
+	mv -f $@.tmp $@
 
 $(TRUSTED-LIST) :: trusted.gpg/debian-archive-%.gpg : active-keys/add-% active-keys/index
 	mkdir -p $(TMPRING) trusted.gpg
@@ -40,6 +46,8 @@
 	cp $< $(TMPRING)
 	jetring-build -I $@ $(TMPRING)
 	rm -rf $(TMPRING)
+	gpg ${GPG_OPTIONS} --no-keyring --import-options import-export --import < $@ > $@.tmp
+	mv -f $@.tmp $@
 
 clean:
 	rm -f keyrings/debian-archive-keyring.gpg \

=== debian/changelog ===
debian-archive-keyring (2017.7ubuntu1) bionic; urgency=medium

  * Do not trust debian archive keys by default, and instead ship those
    keys in usr/share/keyrings. On Ubuntu, this package is mostly used for
    validating chroots when debootstrapping Debian using
    /usr/share/keyrings/debian-archive-keyring.gpg

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 16 Jan 2018 16:52:37 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: debian-archive-keyring
 Priority: important
 Section: misc
-Maintainer: Debian Release Team <packages@release.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Release Team <packages@release.debian.org>
 Build-Depends: debhelper (>= 10), jetring, gnupg
 Rules-Requires-Root: no
 Standards-Version: 4.1.2

## debian-archive-keyring 2018.1

=== debian/changelog ===
debian-archive-keyring (2018.1) unstable; urgency=medium

  * Team upload.

  [ Philipp Kern ]
  * Point Vcs-* headers to Salsa.
  * Remove Wheezy's keys (automatic and stable release).
    (Closes: #901320)

  [ Niels Thykier ]
  * Merge "separate keyring" installation and upload it to
    unstable (see the changelog entry for 2017.7+exp).

 -- Niels Thykier <niels@thykier.net>  Sun, 28 Oct 2018 17:22:31 +0000

debian-archive-keyring (2017.7+exp) experimental; urgency=medium

  * Team upload.
  * Install separate keyrings for each release in /usr/share/keyrings
    (both in the regular deb and the udeb).  This is to enable
    initial testing of narrowing the set of trusted keys per machine.
    Thanks to Daniel Kahn Gillmor for the suggestion.
    (Closes: #861695)

 -- Niels Thykier <niels@thykier.net>  Sat, 16 Dec 2017 20:25:55 +0000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: debian-archive-keyring
 Priority: important
 Section: misc
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Release Team <packages@release.debian.org>
+Maintainer: Debian Release Team <packages@release.debian.org>
 Build-Depends: debhelper (>= 10), jetring, gnupg
 Rules-Requires-Root: no
 Standards-Version: 4.1.2
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-release/debian-archive-keyring.git
-Vcs-Git: https://anonscm.debian.org/git/debian-release/debian-archive-keyring.git
+Vcs-Browser: https://salsa.debian.org/release-team/debian-archive-keyring
+Vcs-Git: https://salsa.debian.org/release-team/debian-archive-keyring.git
 
 Package: debian-archive-keyring
 Architecture: all

## debian-archive-keyring 2019.1

=== debian/changelog ===
debian-archive-keyring (2019.1) unstable; urgency=medium

  [ Adam D. Barratt ]
  * Ensure separated keyrings for Wheezy's keys are removed.  Thanks
    to Sven Joachim.
    (Closes: #912214)

  [ Jonathan Wiltshire ]
  * Add my own key to the team-members keyring
  * Add Debian Stable Release key (10/buster) (ID: DCC9EFBF77E11517)
    (Closes: #917536)
  * Add Debian Archive Automatic Signing Key (10/buster)
    (ID: BCDDDC30D7C23CBBABEE) and Debian Security Archive Automatic
    Signing Key (10/buster) (ID: C5FF4DFAB270CAA96DFA)
    (Closes: #917535)
  * Refresh the signature over keyrings/debian-archive-keyring.gpg

  [ Niels Thykier ]
  * Add myself as uploader (Closes: #927765)

 -- Niels Thykier <niels@thykier.net>  Tue, 23 Apr 2019 13:42:28 +0200

## debian-archive-keyring 2019.1ubuntu2

=== Makefile ===
--- 
+++ 
@@ -64,6 +64,7 @@
 
 install: build
 	install -d $(DESTDIR)/usr/share/keyrings/
+	cp trusted.gpg/debian-archive-*.gpg $(DESTDIR)/usr/share/keyrings/
 	cp keyrings/debian-archive-keyring.gpg $(DESTDIR)/usr/share/keyrings/
 	cp keyrings/debian-archive-removed-keys.gpg $(DESTDIR)/usr/share/keyrings/
 	install -d $(DESTDIR)/etc/apt/trusted.gpg.d/

=== debian/changelog ===
debian-archive-keyring (2019.1ubuntu2) eoan; urgency=medium

  * Remove duplicate rm_conffile invocations for
    /etc/apt/trusted.gpg.d/debian-archive-wheezy-*.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 08 Jul 2019 10:02:29 +0100

debian-archive-keyring (2019.1ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  LP: #1814536  Remaining changes:
    + Do not trust debian archive keys by default, and instead ship those
      keys in usr/share/keyrings. On Ubuntu, this package is mostly used for
      validating chroots when debootstrapping Debian using
      /usr/share/keyrings/debian-archive-keyring.gpg.

 -- Mattia Rizzolo <mapreri@ubuntu.com>  Sun, 07 Jul 2019 15:48:57 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,9 @@
 Source: debian-archive-keyring
 Priority: important
 Section: misc
-Maintainer: Debian Release Team <packages@release.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Release Team <packages@release.debian.org>
+Uploaders: Niels Thykier <niels@thykier.net>
 Build-Depends: debhelper (>= 10), jetring, gnupg
 Rules-Requires-Root: no
 Standards-Version: 4.1.2

## debian-archive-keyring 2019.1+deb10u1

=== debian/changelog ===
debian-archive-keyring (2019.1+deb10u1) buster; urgency=medium

  * Remove jessie's archive keys (Closes: #981343)
  * Add automatic signing keys for bullseye (Closes: #977911)
  * Update my own key
  * Add Debian Stable Release Key (11/bullseye) (ID: 600062A9605C66F00D6C9793)
    (Closes: #977910)
  * Refresh signatures over keyrings/debian-archive-keyring.gpg and keyrings/debian-archive-removed-keys.gpg
  * Add myself to uploaders

 -- Jonathan Wiltshire <jmw@debian.org>  Tue, 16 Mar 2021 18:22:58 +0000

## debian-archive-keyring 2019.1+deb10u2

=== debian/changelog ===
debian-archive-keyring (2019.1+deb10u2) buster-security; urgency=medium

  * Non-maintainer upload by the LTS Security Team.
  * Add Debian Stable Release Key (12/bookworm) (ID: 0xF8D2585B8783D481)
  * Debian Archive Automatic Signing Key (12/bookworm) (ID: B7C5D7D6350947F8)
  * Debian Security Archive Automatic Signing Key (12/bookworm) (ID: 254CF3B5AEC0A8F0)

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 22 Jun 2023 15:05:31 +0200

## debian-archive-keyring 2019.1.1+deb10u1

=== debian/changelog ===
debian-archive-keyring (2019.1.1+deb10u1) unstable; urgency=medium

  * update

 -- Debian Release Team <packages@release.debian.org>  Fri, 02 Apr 2021 17:04:02 +0800

debian-archive-keyring (2019.1.1+deb10u1) buster; urgency=medium

  * Remove jessie's archive keys (Closes: #981343)
  * Add automatic signing keys for bullseye (Closes: #977911)
  * Update my own key
  * Add Debian Stable Release Key (11/bullseye) (ID: 600062A9605C66F00D6C9793)
    (Closes: #977910)
  * Refresh signatures over keyrings/debian-archive-keyring.gpg and keyrings/debian-archive-removed-keys.gpg
  * Add myself to uploaders

 -- Jonathan Wiltshire <jmw@debian.org>  Tue, 16 Mar 2021 18:22:58 +0000

## debian-archive-keyring 2019.1.lnd.2

=== debian/changelog ===
debian-archive-keyring (2019.1.lnd.2) unstable; urgency=medium
  
  * the key out of date

 -- root <root@loongson-pc>  Wen, 17 Oct 2022 11:13:05 +0800

debian-archive-keyring (2019.1+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 11:13:05 +0800

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: debian-archive-keyring
 Priority: important
 Section: misc
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Release Team <packages@release.debian.org>
+Maintainer: Debian Release Team <packages@release.debian.org>
 Uploaders: Niels Thykier <niels@thykier.net>
 Build-Depends: debhelper (>= 10), jetring, gnupg
 Rules-Requires-Root: no

## debian-archive-keyring 2021.1.1

=== debian/changelog ===
debian-archive-keyring (2021.1.1-deepin) stable; urgency=medium

  * ['Rebuild  against by  current gcc 11.2']

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 11 Aug 2022 23:33:31 +0800

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: debian-archive-keyring
 Priority: important
 Section: misc
-Maintainer: Debian Release Team <packages@release.debian.org>
-Uploaders: Niels Thykier <niels@thykier.net>
+Maintainer: Deepin Developer <deepin-dev@deepin.org>
+Uploaders: Deepin Packages Builder <packages@deepin.org>
+ Jonathan Wiltshire <jmw@debian.org>,
 Build-Depends: debhelper (>= 10), jetring, gnupg
 Rules-Requires-Root: no
 Standards-Version: 4.1.2
-Vcs-Browser: https://salsa.debian.org/release-team/debian-archive-keyring
-Vcs-Git: https://salsa.debian.org/release-team/debian-archive-keyring.git
+#Vcs-Browser
+#Vcs-Git
 
 Package: debian-archive-keyring
 Architecture: all

## debian-archive-keyring 2021.1.1ubuntu1

=== debian/changelog ===
debian-archive-keyring (2021.1.1ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    + Do not trust debian archive keys by default, and instead ship those
      keys in usr/share/keyrings. On Ubuntu, this package is mostly used for
      validating chroots when debootstrapping Debian using
      /usr/share/keyrings/debian-archive-keyring.gpg.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 26 Mar 2021 12:11:13 +0100

debian-archive-keyring (2021.1.1) unstable; urgency=medium

  * No-change rebuild.

 -- Jonathan Wiltshire <jmw@debian.org>  Thu, 25 Feb 2021 17:38:08 +0000

debian-archive-keyring (2021.1) unstable; urgency=medium

  [ Niels Thykier ]
  * Add a lintian-brush.conf to assist janitor.d.n

  [ Jonathan Wiltshire ]
  * Remove jessie's archive keys (Closes: #981343)
  * Add automatic signing keys for bullseye (Closes: #977911)
  * Update my own key
  * Add my transitional EC key
  * Add Debian Stable Release Key (11/bullseye) (ID: 600062A9605C66F00D6C9793)
    (Closes: #977910)
  * Refresh signatures over keyrings/debian-archive-keyring.gpg and
    keyrings/debian-archive-removed-keys.gpg
  * Add myself to uploaders

 -- Jonathan Wiltshire <jmw@debian.org>  Wed, 24 Feb 2021 21:06:42 +0000

debian-archive-keyring (2019.1ubuntu3) hirsute; urgency=medium

  * No-change rebuild to drop the udeb package.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Feb 2021 10:30:41 +0100

## debian-archive-keyring 2021.1.1ubuntu2

=== debian/changelog ===
debian-archive-keyring (2021.1.1ubuntu2) jammy; urgency=medium

  * Document the fact that the keys are disabled in APT for Ubuntu
    (LP: #1820586)

 -- Simon Chopin <simon.chopin@canonical.com>  Tue, 25 Jan 2022 18:51:18 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: debian-archive-keyring
 Priority: important
 Section: misc
-Maintainer: Deepin Developer <deepin-dev@deepin.org>
-Uploaders: Deepin Packages Builder <packages@deepin.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Release Team <packages@release.debian.org>
+Uploaders: Niels Thykier <niels@thykier.net>,
  Jonathan Wiltshire <jmw@debian.org>,
 Build-Depends: debhelper (>= 10), jetring, gnupg
 Rules-Requires-Root: no
 Standards-Version: 4.1.2
-#Vcs-Browser
-#Vcs-Git
+Vcs-Browser: https://salsa.debian.org/release-team/debian-archive-keyring
+Vcs-Git: https://salsa.debian.org/release-team/debian-archive-keyring.git
 
 Package: debian-archive-keyring
 Architecture: all
@@ -17,6 +18,8 @@
 Description: GnuPG archive keys of the Debian archive
  The Debian project digitally signs its Release files. This package
  contains the archive keys used for that.
+ .
+ In Ubuntu, those keys are disabled by default.
 
 Package: debian-archive-keyring-udeb
 Package-Type: udeb

## debian-archive-keyring 2021.1.1+deb11u1

=== debian/changelog ===
debian-archive-keyring (2021.1.1+deb11u1) bullseye; urgency=medium

  * Update my key and refresh signature
  * Remove stretch's keys (automatic and release)
  * Add Debian Stable Release Key (12/bookworm) (ID: 0xF8D2585B8783D481)
    (Closes: #1029215)
  * Add automatic signing keys for bookworm (Closes: #1029214)
  * Add debian/gbp.conf to make future maintenance easier

 -- Jonathan Wiltshire <jmw@debian.org>  Sat, 18 Mar 2023 14:53:41 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: debian-archive-keyring
 Priority: important
 Section: misc
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Release Team <packages@release.debian.org>
+Maintainer: Debian Release Team <packages@release.debian.org>
 Uploaders: Niels Thykier <niels@thykier.net>,
  Jonathan Wiltshire <jmw@debian.org>,
 Build-Depends: debhelper (>= 10), jetring, gnupg
@@ -18,8 +17,6 @@
 Description: GnuPG archive keys of the Debian archive
  The Debian project digitally signs its Release files. This package
  contains the archive keys used for that.
- .
- In Ubuntu, those keys are disabled by default.
 
 Package: debian-archive-keyring-udeb
 Package-Type: udeb
